<template>
  <v-app id="login" :style="{ backgroundImage: 'url(' + require('@/assets/img/bg.jpg') + ')',backgroundRepeat: 'no-repeat',backgroundSize: 'cover' }">
    <v-content>
      <v-container class="fill-height" fluid>
        <v-row align="center" justify="center">
          <v-col cols="12" sm="8" md="4">
            
            <div align="center" class="tl-l">
              Masuk ke Paper.id
            </div>
            <div align="center"  class="tl-s">
              Masuk dengan username dan password<br>
              yang telah didaftarkan 
            </div>

            <v-card class="login">
             <v-card-text>
                <v-form>
                  <v-text-field
                    label="Email"
                    dark
                    v-model="username"
                    prepend-icon="mdi-account-outline"
                    placeholder="Email"
                    v-on:keyup.enter="login()"
                    type="text"
                  />

                  <v-text-field
                    id="password"
                    label="Password"
                    v-model="password"
                    placeholder="kata Sandi"
                    dark
                    prepend-icon="mdi-lock-outline"
                    v-on:keyup.enter="login()"
                    type="password"
                  />
                </v-form>
              </v-card-text>

              <div align="center">
                <v-spacer />
                <v-btn
                  color="#afe47c"
                  dark
                  rounded
                  large
                  :loading="loading"
                  v-on:click="login()"
                  class="btn-login"
                >
                  Login
                </v-btn>
              </div>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
    </v-content>

    <v-dialog v-model="dialog" hide-overlay persistent width="300">
      <v-card color="primary" dark>
        <v-card-text>
          Loading..
          <v-progress-linear
            indeterminate
            color="white"
            class="mb-0"
          ></v-progress-linear>
        </v-card-text>
      </v-card>
    </v-dialog>
  </v-app>
</template>

<script>
export default {
  name: "login",
  props: {
    source: String,
  },
  methods: {
    async login() {
      let self = this;
      let url = self.base_url + "api/v1/login";
      let res = null;
      self.loading = true;
      
      try {
        let data = {
          username: self.username,
          password: self.password,
        };

        res = await self.axios.post(url, data, {
          headers: {
            "Content-Type": "application/json;charset=UTF-8",
          },
        });
      } catch (err) {
        alert(err.response.data['message']);
        self.loading = false;
      } finally {
        localStorage.setItem("token",res.data["token"]);
        localStorage.setItem("name",res.data["name"]);
        localStorage.setItem("last_login",res.data["last_login"]);
        localStorage.setItem("username",self.username);
        localStorage.setItem("password",self.password);
        self.loading = false;
        self.$router.push('/');
      }
    },
  },
  data() {
    return {
      storage: {
        session: false,
      },
      loading:false,
      username: localStorage.getItem(""),
      password: "",
      md5: "",
      dialog: false,
    };
  },
};
</script>
